Unit DE96RX_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure DE96RX(F :Proc_F_DE; X :Real; var Y :Array of Real;
                var DX :Array of Real; M :Integer; DEL :Real;
                var R1 :Array of Real; var R2 :Array of Real);

implementation

procedure DE96RX(F :Proc_F_DE; X :Real; var Y :Array of Real;
                var DX :Array of Real; M :Integer; DEL :Real;
                var R1 :Array of Real; var R2 :Array of Real);
var
I :Integer;
W,D :Real;
label
_10;
begin
D := DEL;
if ( X+D = X ) 
 then D := D*X;
W := X - D;
F (W,Y,R1,M);
D := X + D;
F (D,Y,R2,M);
D := D - W;
for I:=1 to M do
 begin
  DX[I-1] := (R2[I-1] - R1[I-1])/D;
_10:
 end;
end;

end.
